Register

Warhammer Fantasy Roleplay 4e - Archives of the Empire: Vol 1.

A Module by Cubicle 7 Games

Content Provider: Cubicle 7 Games Author: Moo Man Project Source: Project URL Version 10 Last Updated 3 months, 4 weeks ago

Warhammer Fantasy Roleplay Fourth Edition

Archives of the Empire: Volume 1.

Welcome to Archives of the Empire: Volume I. A fascinating and diverse collection of articles on topics that cover the length and breath of the Old World. The first volume focuses on the other species, Dwarfs, Elves and Halflings, whose presence enriches (or enrages) the world of Warhammer Fantasy Roleplay. Volume I details new locations, careers, and NPCs perfect for inclusion in your next WFRP adventure.

 

Archives of the Empire includes:

 

Archives of the Empire is an excellent and entertaining addition to any gaming table. Packed with lore, NPCs, and exciting adventure hooks, this collection will kickstart your next adventure in Warhammer Fantasy Roleplay!

 

This Foundry VTT module contains:

 

 The WFRP Core Module is required for full functionality and is to be used with the Warhammer Fantasy 4th Edition System

 

Published by Cubicle 7

Purchase at the C7 Webstore

Cubicle 7 Entertainment Ltd. © Games Workshop 2020 

Supported Game Systems

  1. Warhammer Fantasy Roleplay 4th Edition

    Latest Version: Version 6.2.2 Last Updated 3 months, 4 weeks ago

Categories

Available Versions

  1. Version 1.0.0

    Compatible Foundry Versions: 0.7.4 - 0.7.10 Installation Link: Manifest URL Update Notes: Read Notes
  2. Version 1.0.1

    Compatible Foundry Versions: 0.7.4 - 0.7.10 Installation Link: Manifest URL Update Notes: Read Notes
  3. Version 2.0.0

    Compatible Foundry Versions: 0.8.6 - 0.8.9 Installation Link: Manifest URL Update Notes: Read Notes
  4. Version 2.0.1

    Compatible Foundry Versions: 0.8.6 - 0.8.9 Installation Link: Manifest URL Update Notes: Read Notes
  5. Version 2.0.2

    Compatible Foundry Versions: 0.8.6 - 0.8.9 Installation Link: Manifest URL Update Notes: Read Notes
  6. Version 2.1.0

    Compatible Foundry Versions: 0.8.6 - 0.8.9 Installation Link: Manifest URL Update Notes: Read Notes
  7. Version 2.1.1

    Compatible Foundry Versions: 0.8.6 - 0.8.9 Installation Link: Manifest URL Update Notes: Read Notes
  8. Version 2.2.0

    Compatible Foundry Versions: 0.8.6 - 0.8.9 Installation Link: Manifest URL Update Notes: Read Notes
  9. Version 2.3.0

    Compatible Foundry Versions: 0.8.6 - 9 Installation Link: Manifest URL Update Notes: Read Notes
  10. Version 2.4.0

    Compatible Foundry Versions: 0.8.6 - 9 Installation Link: Manifest URL Update Notes: Read Notes
  11. Version 2.4.1

    Compatible Foundry Versions: 0.8.6 - 9 Installation Link: Manifest URL Update Notes: Read Notes